<!DOCTYPE html>
<html xmlns:concordion="http://www.concordion.org/2007/concordion">
<head>
    <meta charset="UTF-8"/>
    <title>Vérification des droits admin</title>
</head>
<body
        style="p: before .success, li:before .success{ 
            background-image: 
                url(http://images4.wikia.nocookie.net/__cb20101013160837/sims/fr/images/d/dd/Ic%C3%B4ne_Valid.png); content: '&gt;'">
<h3>
    On ajoute des droits sur les données de référence pour l'utilisateur "<span
        concordion:set="#utilisateur">testeurAuto</span>."
</h3>
<table
        concordion:execute="#areRightsSet=addActivity(#utilisateur, #whichTreeCode, #role, #path, #dateDeDebut, #dateDeFin)">
    <tr>
        <th concordion:set="#utilisateur">Utilisateur</th>
        <th concordion:set="#whichTreeCode">WhichTreeCode</th>
        <th concordion:set="#role">Role</th>
        <th concordion:set="#path">Path</th>
        <th concordion:set="#dateDeDebut">Date de début</th>
        <th concordion:set="#dateDeFin">Date de fin</th>
        <th concordion:assertTrue="#areRightsSet">Droit mis</th>
    </tr>

    <tr>
        <td>testeurAuto</td>
        <td>TREEDATASET</td>
        <td>depot,publication,extraction,suppression</td>
        <td>rotation_prairie_culture,lusignan,pratiques_de_gestion</td>
        <td>25/05/2005</td>
        <td>05/11/2011</td>
        <td>true</td>
    </tr>

    <tr>
        <td>testeurAuto</td>
        <td>TREEDATASET</td>
        <td>depot,publication,extraction,suppression</td>
        <td>rotation_prairie_culture,lusignan,vegetation</td>
        <td>01/01/2005</td>
        <td>01/01/2011</td>
        <td>true</td>
    </tr>

    <tr>
        <td>testeurAuto</td>
        <td>TREEDATASET</td>
        <td>depot,publication,extraction,suppression</td>
        <td>prairies_permanentes,theix,vegetation</td>
        <td>01/01/2010</td>
        <td>31/12/2010</td>
        <td>true</td>
    </tr>

    <tr>
        <td>testeurAuto</td>
        <td>TREEDATASET</td>
        <td>depot,publication,extraction,suppression</td>
        <td>prairies_permanentes,theix,pratiques_de_gestion</td>
        <td>01/01/2010</td>
        <td>31/12/2010</td>
        <td>true</td>
    </tr>
</table>
<p>Enregistrement des droits d'extraction de <span concordion:set="#utilisateur">testeurAuto</span></p>

<p concordion:execute="#roles = persistExtractActivities(#utilisateur)">
    Il y a "<span concordion:assert-equals="#roles">71</span>"
    roles extraction pour <span concordion:set="#utilisateur">testeurAuto</span>.
</p>

<!--                <h3>On ajoute des droits sur les données expérimentales pour
                    l'utilisateur testeurAuto.</h3>
                <table
                    concordion:execute="#areRightsSet=addActivity(#utilisateur, #role, #Type, #Path, #dateDeDebut, #dateDeFin)">
                    <tr>
                        <th concordion:set="#role">Role</th>
                        <th concordion:set="#Type">Type de privilège</th>
                        <th concordion:set="#Path">Path</th>
                        <th concordion:set="#dateDeDebut">Date de début</th>
                        <th concordion:set="#dateDeFin">Date de fin</th>
                        <th concordion:assertTrue="#areRightsSet">Droit mis</th>
                    </tr>
                    <tr>
                        <td>depot</td>
                        <td>dataset</td>
                        <td>piegeage_en_montee/projet_manche/donnees_biologiques/oir/p1</td>
                        <td></td>
                        <td></td>
                        <td>true</td>
                    </tr>
                    <tr>
                        <td>publication,suppression</td>
                        <td>dataset</td>
                        <td>piegeage_en_montee/projet_manche/donnees_biologiques/oir/p1</td>
                        <td></td>
                        <td></td>
                        <td>true</td>
                    </tr>
                    <tr>
                        <td>extraction</td>
                        <td>dataset</td>
                        <td>piegeage_en_montee/projet_manche/donnees_biologiques/oir/p1</td>
                        <td>01/01/1984</td>
                        <td>05/01/1984</td>
                        <td>true</td>
                    </tr>
                    <tr>
                        <td>suppression</td>
                        <td>dataset</td>
                        <td>piegeage_en_montee/projet_manche/donnees_biologiques/oir/p1</td>
                        <td>01/01/1984</td>
                        <td>05/01/1984</td>
                        <td>true</td>
                    </tr>
                    <tr>
                        <td>depot</td>
                        <td>dataset</td>
                        <td>piegeage_en_montee/projet_manche/donnees_biologiques/oir/p2</td>
                        <td></td>
                        <td></td>
                        <td>true</td>
                    </tr>
                    <tr>
                        <td>publication,suppression</td>
                        <td>dataset</td>
                        <td>piegeage_en_montee/projet_manche/donnees_biologiques/oir/p2</td>
                        <td></td>
                        <td></td>
                        <td>true</td>
                    </tr>
                    <tr>
                        <td>extraction</td>
                        <td>dataset</td>
                        <td>piegeage_en_montee/projet_manche/donnees_biologiques/oir/p2</td>
                        <td>01/01/1984</td>
                        <td>05/01/1984</td>
                        <td>true</td>
                    </tr>
                    <tr>
                        <td>suppression</td>
                        <td>dataset</td>
                        <td>piegeage_en_montee/projet_manche/donnees_biologiques/oir/p2</td>
                        <td>01/01/1984</td>
                        <td>05/01/1984</td>
                        <td>true</td>
                    </tr>
                    <tr>
                        <td>depot</td>
                        <td>dataset</td>
                        <td>piegeage_en_montee/projet_manche/donnees_biologiques/nivelle/p1</td>
                        <td></td>
                        <td></td>
                        <td>true</td>
                    </tr>
                    <tr>
                        <td>publication,suppression</td>
                        <td>dataset</td>
                        <td>piegeage_en_montee/projet_manche/donnees_biologiques/nivelle/p1</td>
                        <td></td>
                        <td></td>
                        <td>true</td>
                    </tr>
                    <tr>
                        <td>extraction</td>
                        <td>dataset</td>
                        <td>piegeage_en_montee/projet_manche/donnees_biologiques/nivelle/p1</td>
                        <td>01/01/1984</td>
                        <td>05/01/1984</td>
                        <td>true</td>
                    </tr>
                    <tr>
                        <td>suppression</td>
                        <td>dataset</td>
                        <td>piegeage_en_montee/projet_manche/donnees_biologiques/nivelle/p1</td>
                        <td>01/01/1984</td>
                        <td>05/01/1984</td>
                        <td>true</td>
                    </tr>
                    <tr>
                        <td>depot</td>
                        <td>dataset</td>
                        <td>piegeage_en_montee/projet_manche/donnees_biologiques/scarff/p1</td>
                        <td></td>
                        <td></td>
                        <td>true</td>
                    </tr>
                    <tr>
                        <td>publication,suppression</td>
                        <td>dataset</td>
                        <td>piegeage_en_montee/projet_manche/donnees_biologiques/scarff/p1</td>
                        <td></td>
                        <td></td>
                        <td>true</td>
                    </tr>
                    <tr>
                        <td>suppression</td>
                        <td>dataset</td>
                        <td>piegeage_en_montee/projet_manche/donnees_biologiques/scarff/p1</td>
                        <td>01/01/1984</td>
                        <td>05/01/1984</td>
                        <td>true</td>
                    </tr>
                    <tr>
                        <td>extraction</td>
                        <td>dataset</td>
                        <td>piegeage_en_montee/projet_manche/donnees_biologiques/scarff/p1</td>
                        <td>01/01/1984</td>
                        <td>05/01/1984</td>
                        <td>true</td>
                    </tr>
                </table>

                <h3>On ajoute des droits sur le dépôt de fichiers complémentaires pour
                    l'utilisateur testeurAuto.</h3>
                <table
                    concordion:execute="#areRightsSet=addActivity(#utilisateur, #role, #Type, #Path, #dateDeDebut, #dateDeFin)">
                    <tr>
                        <th concordion:set="#role">Role</th>
                        <th concordion:set="#Type">Type de privilège</th>
                        <th concordion:set="#Path">Path</th>
                        <th concordion:set="#dateDeDebut">Date de début</th>
                        <th concordion:set="#dateDeFin">Date de fin</th>
                        <th concordion:assertTrue="#areRightsSet">Droit mis</th>
                    </tr>
                    <tr>
                        <td>depot</td>
                        <td>file</td>
                        <td>piegeage_en_montee/projet_manche/donnees_biologiques/oir/p1</td>
                        <td></td>
                        <td></td>
                        <td>true</td>
                    </tr>
                    <tr>
                        <td>telechargement</td>
                        <td>file</td>
                        <td>piegeage_en_montee/projet_manche/donnees_biologiques/oir/p1</td>
                        <td>01/01/1984</td>
                        <td>05/01/1984</td>
                        <td>true</td>
                    </tr>
                    <tr>
                        <td>depot</td>
                        <td>file</td>
                        <td>piegeage_en_montee/projet_manche/donnees_biologiques/oir/p2</td>
                        <td></td>
                        <td></td>
                        <td>true</td>
                    </tr>
                    <tr>
                        <td>telechargement</td>
                        <td>file</td>
                        <td>piegeage_en_montee/projet_manche/donnees_biologiques/oir/p2</td>
                        <td>01/01/1984</td>
                        <td>05/01/1984</td>
                        <td>true</td>
                    </tr>
                    <tr>
                        <td>depot</td>
                        <td>file</td>
                        <td>piegeage_en_montee/projet_manche/donnees_biologiques/nivelle/p1</td>
                        <td></td>
                        <td></td>
                        <td>true</td>
                    </tr>
                    <tr>
                        <td>telechargement</td>
                        <td>file</td>
                        <td>piegeage_en_montee/projet_manche/donnees_biologiques/nivelle/p1</td>
                        <td>01/01/1984</td>
                        <td>05/01/1984</td>
                        <td>true</td>
                    </tr>
                    <tr>
                        <td>depot</td>
                        <td>file</td>
                        <td>piegeage_en_montee/projet_manche/donnees_biologiques/scarff/p1</td>
                        <td></td>
                        <td></td>
                        <td>true</td>
                    </tr>
                    <tr>
                        <td>telechargement</td>
                        <td>file</td>
                        <td>piegeage_en_montee/projet_manche/donnees_biologiques/scarff/p1</td>
                        <td>01/01/1984</td>
                        <td>05/01/1984</td>
                        <td>true</td>
                    </tr>
                </table>-->
</body>
</html>